"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ServiceDebugging;
(function (ServiceDebugging) {
    ServiceDebugging.wantsVerboseLogging = false;
    function createLogger(prefix) {
        return {
            log: (message, ...optionalParams) => {
                const activeLogger = ServiceDebugging.customLogger || console;
                if (!activeLogger || !ServiceDebugging.wantsVerboseLogging)
                    return;
                activeLogger.log(prefix + " " + message, ...optionalParams);
            },
            error: (message, ...optionalParams) => {
                const activeLogger = ServiceDebugging.customLogger || console;
                if (!activeLogger)
                    return;
                activeLogger.error(prefix + " " + message, ...optionalParams);
            },
        };
    }
    ServiceDebugging.createLogger = createLogger;
})(ServiceDebugging = exports.ServiceDebugging || (exports.ServiceDebugging = {}));
