"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const framer_services_1 = require("../@framerjs/framer-services");
class ProjectServerTestingService {
    constructor(logger) {
        this.logger = logger;
        this.emitter = new framer_services_1.ServiceEventEmitter();
    }
    assetChanged(change) {
        framer_services_1.ServiceDebugging.createLogger("").error("assetChanged", change);
        this.emitter.emit(change);
    }
    // Service implementation
    doSomething() {
        const { logger } = this;
        return new framer_services_1.ServiceTask((update, done) => {
            logger.log("ProjectServerTesting.stateStream: doing some stuff...");
            update({ bla: "doing some stuff" });
            logger.log("ProjectServerTesting.stateStream: doing something else; gonne take a while...");
            update({ bla: "doing something else" });
            logger.log("ProjectServerTesting.stateStream: done");
            done();
        });
    }
    assetChangesStream() {
        framer_services_1.ServiceDebugging.createLogger("").error("requesting assetChangeStream");
        return this.emitter;
    }
}
exports.ProjectServerTestingService = ProjectServerTestingService;
